clamav-users August 2007 archive
Main Archive Page > Month Archives  > clamav-users archives
clamav-users: Re: [Clamav-users] ClamAV Upgrade Problems

Re: [Clamav-users] ClamAV Upgrade Problems

From: shuttlebox <shuttlebox_at_nospam>
Date: Sat Sep 01 2007 - 00:18:15 GMT
To: "ClamAV users ML" <clamav-users@lists.clamav.net>


On 9/1/07, Paul McEwan <pmcewan@energywebnetwork.com> wrote:
> I was originally running ClamAV (v0.90.3) and using the milter with
> Sendmail. It worked great, and then I installed MailScanner. It continued to
> function fine, but then I tried to upgrade to v0.91.1
>
> I used the rpm packages with the -U option to upgrade, and the packages
> installed and it runs, but now it looks like I have two versions
>
> When I run Freshclam, it seems to be looking at the old version instead of
> the new, because it says my version is outdated at 0.90.3
>
> How do I cleanup and make sure I'm using the correct version?
>
> And, how do I know which version MailScanner is trying to use?
>
> Any help would be great!
>
> I'm running everything on RedHat EL 3

You have installed Clam from two different packagers. Run the following to see your Clam related rpms:

# rpm -qa | grep -i clam

Clean out the older ones with rpm -e. Always use packages from the same source, if you change you have to clean up yourself, upgrade will not work.

Look in /etc/MailScanner/virus.scanners.conf to see which path MailScanner uses for Clam. You can also run "MailScanner --lint" too see what it thinks of your configuration. -- /peter _______________________________________________ Help us build a comprehensive ClamAV guide: visit http://wiki.clamav.net http://lurker.clamav.net/list/clamav-users.html